package com.ejie.m62fb.model.tipos;

public class TipoParentesco extends AbstractTipoGenericoP28 {

	private static final long serialVersionUID = 1L;

	/**
	 * Valor que hace referencia al campo de BBDD
	 * 
	 * NUM_REGISTRO
	 */
	public static final long NUM_REGISTRO = P28Tipos.PARENTESCO;

	/**
	 * Method 'TipoParentesco'.
	 */
	public TipoParentesco() {
		super(TipoParentesco.NUM_REGISTRO);
	}

	/**
	 * Method 'TipoParentesco'.
	 * 
	 * @param codTabla
	 *            String
	 */
	public TipoParentesco(String codTabla) {
		super(TipoParentesco.NUM_REGISTRO, codTabla);
	}

	/**
	 * Method 'TipoElemento'.
	 * 
	 * @param codTabla
	 *            String
	 * @param descripcionEs
	 *            String
	 * @param descripcionEu
	 *            String
	 */
	public TipoParentesco(String codTabla, String descripcionEs,
			String descripcionEu) {
		super(TipoParentesco.NUM_REGISTRO, codTabla, descripcionEs,
				descripcionEu);
	}
}